#ifndef BACK_GEN_H
#define BACK_GEN_H

bool unpack_coord(uint8_t* lines, int cx, int cy);

void generate_chunk(int x, int y, int config_id);

void generate_chunk_raw(int x, int y, template tpl);

void print_template(int config_id);

void rotateTemplateCounterClockWise(int config_id);

void rotateChunkCounterClockWise(int chx, int chy);

void translateChunkX(int chx, int chy);

void translateChunk_X(int chx, int chy);

void translateChunkY(int chx, int chy);

void translateChunk_Y(int chx, int chy);

void signature(template t);

bool is_compat_with_spins(int cx, int cy, int idx);

void generate_chunk_all(int cx, int cy);

void initialize(SDL_Renderer* renderer);

void destroy();

void parse_configs(char* filename, int n_conf);

void change_configs(char* new_filename, int n_conf);

#endif